Bug 142730 - CAN-2004-1016 CMSG validation checks
CAN-2004-1016 CMSG validation checks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
public=20041208,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 09:04 EST by Mark J. Cox (Product Security)
Modified: 2013-08-05 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:37:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-12-13 09:04:36 EST
isec.pl reported to vendor-sec on 20041125 a DoS caused
by scm_send with exploiter that they say affects 2.4.28
Also reported by Georgi Guninski on Dec08

Fixed upstream in 2.6.10-rc3 and 2.4-bk.

http://linux.bkbits.net:8080/linux-2.4/cset@41b76e94BsJKm8jhVtyDat9ZM1dXXg
http://linux.bkbits.net:8080/linux-2.4/cset@41b77314ZtyUzWzZFzaCRGoQc6hKcw

Both changesets required.  See bug 142729 for reproducer etc
Comment 1 Jim Paradis 2004-12-21 13:40:39 EST
A fix for this problem has just been committed to the RHEL2.1 E7
patch pool (in kernel version 2.4.9-e.58)
Comment 2 Josh Bressers 2005-01-21 10:37:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-016.html

Note You need to log in before you can comment on or make changes to this bug.